JavaScript/jQuery Sparkline - size

Specifies the UI component's size in pixels.

Type:

Object

Default Value: {height: 30, width: 250}

You can specify a custom width and height for the component:

Fixed Relative
Assign values to the size object's height and width properties or specify a container for the component. Specify a container for the component. The component occupies the container area on initialization. If a container's size changes, the component's size does not change. If you want to update the size, call the render method.
NOTE
  • The size object has priority over the container.

  • The size configuration object reserves space for the main UI component elements, while displaying a tooltip may require extra space. To reserve the area around the UI component for the tooltip, you can apply a margin to the UI component's container.

index.js
  • $(function() {
  • $("#sparklineContainer").dxSparkline({
  • // ...
  • size: {
  • height: 300,
  • width: 600
  • }
  • });
  • });

Alternatively, you can use CSS to style the UI component's container:

index.js
styles.css
  • $(function() {
  • $("#sparkline").dxSparkline({
  • // ...
  • });
  • });
  • #sparkline {
  • width: 85%;
  • height: 70%;
  • }

height

Specifies the height of the UI component in pixels.

Type:

Number

Default Value: 30

width

Specifies the width of the UI component in pixels.

Type:

Number

Default Value: 250

Angular Sparkline - size

Specifies the UI component's size in pixels.

Selector: dxo-size
Type:

Object

Default Value: {height: 30, width: 250}

You can specify a custom width and height for the component:

Fixed Relative
Assign values to the size object's height and width properties or specify a container for the component. Specify a container for the component. The component occupies the container area on initialization. If a container's size changes, the component's size does not change. If you want to update the size, call the render method.
NOTE
  • The size object has priority over the container.

  • The size configuration object reserves space for the main UI component elements, while displaying a tooltip may require extra space. To reserve the area around the UI component for the tooltip, you can apply a margin to the UI component's container.

app.component.html
app.component.ts
app.module.ts
  • <dx-sparkline ... >
  • <dxo-size
  • [height]="300"
  • [width]="600">
  • </dxo-size>
  • </dx-sparkline>
  • import { Component } from '@angular/core';
  •  
  • @Component({
  • selector: 'app-root',
  • templateUrl: './app.component.html',
  • styleUrls: ['./app.component.css']
  • })
  • export class AppComponent {
  • // ...
  • }
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxSparklineModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxSparklineModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

Alternatively, you can use CSS to style the UI component's container:

app.component.html
app.styles.css
  • <dx-sparkline ...
  • id="sparkline">
  • </dx-sparkline>
  • #sparkline {
  • width: 85%;
  • height: 70%;
  • }

height

Specifies the height of the UI component in pixels.

Type:

Number

Default Value: 30

width

Specifies the width of the UI component in pixels.

Type:

Number

Default Value: 250